/*
 Copyright (c) 2003 RIPE

 All Rights Reserved

 Permission to use, copy, modify, and distribute this software and its
 documentation for any purpose and without fee is hereby granted,
 provided that the above copyright notice appear in all copies and that
 both that copyright notice and this permission notice appear in
 supporting documentation, and that the name of the author not be
 used in advertising or publicity pertaining to distribution of the
 software without specific, written prior permission.

 THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
 ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS; IN NO EVENT SHALL
 AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY
 DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

 $Id: sockinfo.h,v 1.7 2003/01/13 14:37:01 can Exp $
*/

#ifndef _SOCK_INFO_H
#define _SOCK_INFO_H

#include <glib.h>
#include <string.h>
#include <stdio.h>
#include <strings.h>
#include <errno.h>
#include <unistd.h>
#include <arpa/inet.h>

#include "conntrack.h"

struct _sockInfo {
    int s;
    char *nodeName;
    FILE *fRead, *fWrite;
};

typedef struct _sockInfo sockInfo;

sockInfo *sockInfo_new(int s, char *n);
void sockInfo_free(sockInfo * s);
gchar *sockInfo_zeropad(const gchar * str);

#endif
